Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remote
Class RemoteSession

`java.lang.Object
AbstractSession
oracle.toplink.remote.DistributedSession
oracle.toplink.remote.RemoteSession`

public class RemoteSession
extends DistributedSession

Purpose: Provide transparent remote three-tiered replacation support. The remote session allows for complex three-tiered applications to be easily built. It gives the remote client the fully functionality of the TopLink api including,

- Client side caching and object-identity maintainence.
- Complex query support
- Unit of work support
- Indirection support through remote value holders.

This session is a primary interface which resides on the client side. Users would interact with session just the same way as if it was a normal session.

See Also:
  Serialized Form

Constructor Summary
`RemoteSession(RemoteConnection remoteConnection)` PUBLIC: Creates a RemoteSession.

Method Summary
`UnitOfWork` | `acquireUnitOfWork()` PUBLIC: Return a unit of work for this session.
`java.lang.Object` | `executeQuery(DatabaseQuery query)` PUBLIC: Execute the database query.
`Login` | `getDatasourceLogin()` PUBLIC: Return the login.
`DatabaseLogin` | `getLogin()` Deprecated. replaced by getDatasourceLogin()
`void` | `initializeSequencing()` ADVANCED: Creates sequencing object for the session.
`void` | `setShouldEnableDistributedIndirectionGarbageCollection(boolean shouldEnableDistributedIndirectionGarbageCollection)` ADVANCED: Allow the server-side value holders to be cleaned-up when the client-side value holder finalize.
`boolean` | `shouldEnableDistributedIndirectionGarbageCollection()` ADVANCED: Allow the server-side value holders to be cleaned-up when the client-side value holder finalize.

Methods inherited from class oracle.toplink.remote.DistributedSession
`beginTransaction, commitTransaction, executeQuery, executeQuery, executeQuery, executeQuery, release, rollbackTransaction, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteSession

    public RemoteSession(RemoteConnection remoteConnection)

  PUBLIC: Creates a RemoteSession.
Parameters:
  `remoteConnection` - remote session requires a remote connection. This must be accessed remotely from the client through RMI or CORBA.

Method Detail

### setShouldEnableDistributedIndirectionGarbageCollection

    public void setShouldEnableDistributedIndirectionGarbageCollection(boolean shouldEnableDistributedIndirectionGarbageCollection)

  ADVANCED: Allow the server-side value holders to be cleaned-up when the client-side value holder finalize.

### shouldEnableDistributedIndirectionGarbageCollection

    public boolean shouldEnableDistributedIndirectionGarbageCollection()

  ADVANCED: Allow the server-side value holders to be cleaned-up when the client-side value holder finalize.

### acquireUnitOfWork

    public UnitOfWork acquireUnitOfWork()

  PUBLIC: Return a unit of work for this session. The unit of work is an object level transaction that allows a group of changes to be applied as a unit.
  Specified by:
    `acquireUnitOfWork` in class `DistributedSession`
  See Also:
    `UnitOfWork`

### executeQuery

    public java.lang.Object executeQuery(DatabaseQuery query)

  PUBLIC: Execute the database query.
  Specified by:
    `executeQuery` in class `DistributedSession`

### getLogin

    public DatabaseLogin getLogin()

  Deprecated. replaced by getDatasourceLogin()
  OBSOLETE: Return the login, the login holds any database connection information given. This has been replaced by getDatasourceLogin to make use of the Login interface to support non-relational datasources, if DatabaseLogin API is required it will need to be cast.

### getDatasourceLogin

    public Login getDatasourceLogin()

  PUBLIC: Return the login. This must retreive the login information from the server this first time called. This is useful to be able to do things differently depending on the database platform.

### initializeSequencing

    public void initializeSequencing()

  ADVANCED: Creates sequencing object for the session. Typically there is no need for the user to call this method - it is called from the constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD